# Installation guide

There are multiple ways to install YunoHost. The process may slightly differs whether it takes place at home or if you want to do it on a remote server, and regarding the hardware used: **[See the requirements](/hardware)**

This page lists a few installation guides.

---

<h1 style="font-weight: 100">Give it a try</h1>

<div class="row">

<div class="col col-md-3 text-center">
<a href="/try_at_home"><img src="/images/usb_key.png" height=150 style="vertical-align:bottom"><b><p>Live CD/USB</p></b></a>
</div>

<div class="col col-md-3 text-center">
<a href="/try"><img height=150 src="/images/logo.png" style="vertical-align:bottom"><b><p>Demo server</p></b></a>
</div>


</div>

<br>

---

<h1 style="font-weight: 100">Install @ home</h1>

<div class="row">

<div class="col col-md-3 text-center">
<a href="/installation_brique_fr"><img src="/images/thisisinternet.png" height=150 style="vertical-align:bottom"><b><p>On the Internet Cube</p></b></a>
</div>


<div class="col col-md-3 text-center">
<a href="/install_on_arm_board"><img src="/images/cubieboard2.png" height=150 style="vertical-align:bottom"><b><p>On an ARM board</p></b></a>
</div>

<div class="col col-md-3 text-center">
<a href="/install_on_raspberry"><img src="/images/Raspberry_Pi_2_Model_B_v1.1_front_angle_new.jpg" height=150 style="vertical-align:bottom"><b><p>On a Raspberry Pi</p></b></a>
</div>

<div class="col col-md-3 text-center">
<a href="/install_iso"><img src="/images/laptop.png" height=150 style="vertical-align:bottom"><b><p>On a standard computer</p></b></a>
</div>

</div>

<br>

---

<h1 style="font-weight: 100">On a virtual machine/container</h1>

<div class="row">

<div class="col col-md-3 text-center">
<a href="/install_on_virtualbox"><img src="/images/virtualbox.png" height=150 style="vertical-align:bottom"><b><p>On VirtualBox</p></b></a>
</div>

<div class="col col-md-3 text-center">
<a href="/docker"><img src="/images/docker.png" height=150 style="vertical-align:bottom"><b><p>On Docker</p></b></a>
</div>

<div class="col col-md-3 text-center">
<a href="/vagrant"><img src="/images/vagrant.png" height=150 style="vertical-align:bottom"><b><p>On Vagrant</p></b></a>
</div>

</div>

<br>

---

<h1 style="font-weight: 100">On a remote server</h1>

<div class="row">

<div class="col col-md-3 text-center">
<a href="/install_on_digitalocean"><img src="/images/digitalocean.png" height=150 style="vertical-align:bottom"><b><p>On a DigitalOcean droplet</p></b></a>
</div>

<div class="col col-md-3 text-center">
<a href="/install_on_dedicated_server"><img src="/images/vps.png" height=150 style="vertical-align:bottom"><b><p>On a dedicated or a virtual private server</p></b></a>
</div>

</div>

<br>

---

<h1 style="font-weight: 100">On Debian</h1>

If you have already installed **Debian 8** (Jessie) on a server, you'll be able to **[install YunoHost with a simple script](/install_on_debian)**.

<a href="/install_on_debian"><img width=100 src="/images/debian-logo.png"></a>
